Subject: bug#58724: Consider showing the vertical border in the tab line

From: João Guerra <[email-masked]>
Date: Sat, 22 Oct 2022 21:34:17 +0200

The vertical border is not shown in the tab line. See
no-window-divider-mode.png for an example. On the other hand, the
window divider is (when using window-divider-mode). See
window-divider-mode.png for an example.

I think it would make sense to show the vertical border in the tab
line, since it is still part of the window. On the other hand, the
mode line is also part of the window but the vertical border is not
shown there. While it is possible to customize tab line to do this,
this is a minor UI detail that could be there from the start. Other
editors show their corresponding window dividers in their
corresponding tab line, which leads to a more consistent UI (albeit a
small detail).